Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

# Class RemittanceInformationSDDChoice

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_002_01.RemittanceInformationSDDChoice

public class RemittanceInformationSDDChoice extends Object

Java class for RemittanceInformationSDDChoice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RemittanceInformationSDDChoice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="Ustrd" type="{urn:swift:xsd:$pain.008.002.01}Max140Text"/>
               <element name="Strd" type="{urn:swift:xsd:$pain.008.002.01}StructuredRemittanceInformationSDD"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected StructuredRemittanceInformationSDD`
`strd`
`protected String`
`ustrd`

## Constructor Summary

Constructors
Constructor
Description
`RemittanceInformationSDDChoice()`

## Method Summary

Modifier and Type
Method
Description
`StructuredRemittanceInformationSDD`
`getStrd()`
Gets the value of the strd property.
`String`
`getUstrd()`
Gets the value of the ustrd property.
`void`
`setStrd(StructuredRemittanceInformationSDD value)`
Sets the value of the strd property.
`void`
`setUstrd(String value)`
Sets the value of the ustrd property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ustrd

protected String ustrd

### strd

protected StructuredRemittanceInformationSDD strd

## Constructor Details

### RemittanceInformationSDDChoice

public RemittanceInformationSDDChoice()

## Method Details

### getUstrd

public String getUstrd()
Gets the value of the ustrd property.

Returns:
  possible object is `String`

### setUstrd

public void setUstrd(String value)
Sets the value of the ustrd property.

Parameters:
  `value` - allowed object is `String`

### getStrd

public StructuredRemittanceInformationSDD getStrd()
Gets the value of the strd property.

Returns:
  possible object is `StructuredRemittanceInformationSDD`

### setStrd

public void setStrd(StructuredRemittanceInformationSDD value)
Sets the value of the strd property.

Parameters:
  `value` - allowed object is `StructuredRemittanceInformationSDD`